<?php
// $Id$

/**
 * @file
 * Creates the admin settings form for the module.
 */

/**
 * Form builder function for module settings.
 */
function jquerymobile_ui_admin() {
  
  $form['jquerymobile_ui'] = array(
    '#type' => 'fieldset',
    '#title' => t('jQuery Mobile UI'),
    '#collapsible' => TRUE,
    '#collapsed' => FALSE
  );
  
  $form['jquerymobile_ui']['jquerymobile_ui_custom_themes'] = array(
	  '#type' => 'textarea',
	  '#default_value' => variable_get('jquerymobile_ui_custom_themes', ''),
	  '#title' => t('Custom Mobile Themes'),
	  '#description' => t('Enter the extension(s) of your custom theme(s) seperated by an new line.'),
  );
  
  $form['jquerymobile_ui']['ajax_settings'] = array(
    '#type' => 'fieldset',
    '#title' => t('AJAX Settings'),
    '#collapsible' => TRUE,
    '#collapsed' => FALSE	  
  );

	$form['jquerymobile_ui']['ajax_settings']['jquerymobile_ui_subPageUrlKey'] = array(
		'#type' => 'textfield',
		'#title' => 'subPageUrlKey',
		'#default_value' => variable_get('jquerymobile_ui_subPageUrlKey', 'ui-page'),
		'#description' => t('The url parameter used for referencing widget-generated sub-pages (such as those generated by nested listviews). Translates to to example.html&ui-page=subpageIdentifier. The hash segment before &ui-page= is used by the framework for making an Ajax request to the URL where the sub-page exists.'),
	);
	$form['jquerymobile_ui']['ajax_settings']['jquerymobile_ui_nonHistorySelectors'] = array(
		'#type' => 'textfield',
		'#title' => 'nonHistorySelectors',
		'#default_value' => variable_get('jquerymobile_ui_nonHistorySelectors', 'dialog'),
		'#description' => t('Anchor links with a data-rel attribute value, or pages with a data-role value, that match these selectors will not be trackable in history they won\'t update the location.hash and won\'t be bookmarkable).'),
	);
	$form['jquerymobile_ui']['ajax_settings']['jquerymobile_ui_activePageClass'] = array(
		'#type' => 'textfield',
		'#title' => 'activePageClass',
		'#default_value' => variable_get('jquerymobile_ui_activePageClass', 'ui-page-active'),
		'#description' => t('The class assigned to page currently in view, and during transitions'),
	);
	$form['jquerymobile_ui']['ajax_settings']['jquerymobile_ui_activeBtnClass'] = array(
		'#type' => 'radios',
		'#title' => 'activeBtnClass',
		'#default_value' => variable_get('jquerymobile_ui_activeBtnClass', 0), 
		'#description' => t('jQuery Mobile will automatically handle link clicks and form submissions through Ajax, when possible. If false, url hash listening will be disabled as well, and urls will load as regular http requests.'),
		'#options' => array(1 => t('True'), 0 => t('False')),
	);
	$form['jquerymobile_ui']['ajax_settings']['jquerymobile_ui_ajaxLinksEnabled'] = array(
		'#type' => 'radios',
		'#title' => 'ajaxLinksEnabled',
		'#default_value' => variable_get('jquerymobile_ui_ajaxEnabled', 0),
		'#description' => t('(deprecated) jQuery Mobile will automatically handle link clicks through Ajax, when possible.'),
		'#options' => array(1 => t('True'), 0 => t('False')),
	);
	$form['jquerymobile_ui']['ajax_settings']['jquerymobile_ui_ajaxEnabled'] = array(
		'#type' => 'radios',
		'#title' => 'ajaxLinksEnabled',
		'#default_value' => variable_get('jquerymobile_ui_ajaxLinksEnabled', 0),
		'#description' => t('(deprecated) jQuery Mobile will automatically handle link clicks through Ajax, when possible.'),
		'#options' => array(1 => t('True'), 0 => t('False')),
	);
	$form['jquerymobile_ui']['ajax_settings']['jquerymobile_ui_ajaxFormsEnabled'] = array(
		'#type' => 'radios',
		'#title' => 'ajaxFormsEnabled',
		'#default_value' => variable_get('jquerymobile_ui_ajaxFormsEnabled', 0),
		'#description' => t('(deprecated) jQuery Mobile will automatically handle form submissions through Ajax, when possible.'),
		'#options' => array(1 => t('True'), 0 => t('False')),
	);
	$form['jquerymobile_ui']['ajax_settings']['jquerymobile_ui_autoInitialize'] = array(
		'#type' => 'radios',
		'#title' => 'autoInitialize',
		'#default_value' => variable_get('jquerymobile_ui_autoInitialize', 0),
		'#description' => t('Auto initialize, when set to false, will defer the enhancement of your embeded pages until $.mobile.initializePage(); is invoked explicitly. By default the page is enhanced when the dom is ready.'),
		'#options' => array(1 => t('True'), 0 => t('False')),
	);
	$form['jquerymobile_ui']['ajax_settings']['jquerymobile_ui_defaultTransition'] = array(
		'#type' => 'textfield',
		'#title' => 'defaultTransition',
		'#default_value' => variable_get('jquerymobile_ui_defaultTransition', 'slide'),
		'#description' => t('Set the default transition for page changes that use Ajax. Set to \'none\' for no transitions by default.'),
	);
	$form['jquerymobile_ui']['ajax_settings']['jquerymobile_ui_loadingMessage'] = array(
		'#type' => 'textfield',
		'#title' => 'loadingMessage',
		'#default_value' => variable_get('jquerymobile_ui_loadingMessage', 'loading'),
		'#description' => t('Set the text that appears when a page is loading. If set to false, the message will not appear at all.'),
	);
	$form['jquerymobile_ui']['ajax_settings']['jquerymobile_ui_metaViewportContent'] = array(
		'#type' => 'textfield',
		'#title' => 'metaViewportContent',
		'#default_value' => variable_get('jquerymobile_ui_metaViewportContent', 'width=device-width, minimum-scale=1, maximum-scale=1'),
		'#description' => t('Configure the auto-generated meta viewport tag\'s content attribute. If false, no meta tag will be appended to the DOM.'),
	);
		
	
  $form = system_settings_form($form);

  return $form;
}
